## smokeqt 4.13.0

=== phonon/CMakeLists.txt ===
find_package(Phonon REQUIRED)

include_directories( ${PHONON_INCLUDES} ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} )

########### next target ###############

message(${PHONON_INCLUDE_DIR})

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp
                 ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp 
                ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp 
                ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp 
                ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp 
                ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp 
                ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp 
                ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/../qtgui/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -I "${PHONON_INCLUDE_DIR}" -L "${CMAKE_BINARY_DIR}" -- ${CMAKE_CURRENT_SOURCE_DIR}/phonon_includes.h
    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/phonon )

set(smokephonon_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp
		${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
add_library(smokephonon SHARED ${smokephonon_LIB_SRCS})

target_link_libraries(smokephonon smokeqtcore smokeqtgui ${QT_QTCORE_LIBS} ${QT_QTGUI_LIBS} ${PHONON_LIBRARIES} ${PHONON_LIBRARY})

set_target_properties(smokephonon PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokephonon LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION bin)
if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(smokephonon PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()

    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokephonon PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../phonon_smoke.h DESTINATION include/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/phonon.argnames.txt DESTINATION share/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/phonon.typedefs.txt DESTINATION share/smoke)

=== qtgui/CMakeLists.txt ===

include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -L "${CMAKE_BINARY_DIR}" -- ${CMAKE_CURRENT_SOURCE_DIR}/qtgui_includes.h
    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtgui  )

set(smokeqtgui_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
                ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

# kde4_add_library(smokeqtgui SHARED ${smokeqtgui_LIB_SRCS})
add_library(smokeqtgui SHARED ${smokeqtgui_LIB_SRCS})

target_link_libraries(smokeqtgui smokeqtcore ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} )

set_target_properties(smokeqtgui PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqtgui LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION bin)

if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(smokeqtgui PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()

    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokeqtgui
        PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtgui_smoke.h DESTINATION include/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtgui.argnames.txt DESTINATION share/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtgui.typedefs.txt DESTINATION share/smoke)

=== qtopengl/CMakeLists.txt ===
include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -L "${CMAKE_BINARY_DIR}" -- ${CMAKE_CURRENT_SOURCE_DIR}/qtopengl_includes.h
    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtopengl  )

set(smokeqtopengl_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

# kde4_add_library(smokeqtopengl SHARED ${smokeqtopengl_LIB_SRCS})
add_library(smokeqtopengl SHARED ${smokeqtopengl_LIB_SRCS})

target_link_libraries(smokeqtopengl 
                        smokeqtcore 
                        smokeqtgui 
                        ${QT_QTCORE_LIBRARY} 
                        ${QT_QTGUI_LIBRARY}
                        ${QT_QTOPENGL_LIBRARY} )

set_target_properties(smokeqtopengl PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqtopengl LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION bin)

if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(smokeqtopengl PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()

    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokeqtopengl
        PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtopengl_smoke.h DESTINATION include/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtopengl.argnames.txt DESTINATION share/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtopengl.typedefs.txt DESTINATION share/smoke)

=== qtsvg/CMakeLists.txt ===

include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -L "${CMAKE_BINARY_DIR}" -- ${CMAKE_CURRENT_SOURCE_DIR}/qtsvg_includes.h
    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtsvg  )

set(smokeqtsvg_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

# kde4_add_library(smokeqtsvg SHARED ${smokeqtsvg_LIB_SRCS})
add_library(smokeqtsvg SHARED ${smokeqtsvg_LIB_SRCS})

target_link_libraries(smokeqtsvg 
                        smokeqtcore 
                        smokeqtgui 
                        ${QT_QTCORE_LIBRARY} 
                        ${QT_QTGUI_LIBRARY} 
                        ${QT_QTSVG_LIBRARY} )

set_target_properties(smokeqtsvg PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqtsvg LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION bin)

if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(smokeqtsvg PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()

    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokeqtsvg
        PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtsvg_smoke.h DESTINATION include/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtsvg.argnames.txt DESTINATION share/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtsvg.typedefs.txt DESTINATION share/smoke)

=== debian/changelog ===
smokeqt (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:34:35 +0100

smokeqt (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 12:02:32 +0200

smokeqt (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 13:06:30 +0100

smokeqt (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:11:12 +0000

smokeqt (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:22:44 +0100

smokeqt (4:4.12.2-0ubuntu2) trusty; urgency=low

  * No change rebuild for libqscintilla2-11 transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 19 Feb 2014 09:04:48 -0500

smokeqt (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:36:52 +0000

smokeqt (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:51:22 +0000

smokeqt (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:54:05 +0000

smokeqt (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:52:32 +0000

smokeqt (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:46:46 +0100

smokeqt (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:08:03 +0100

=== debian/control ===
Source: smokeqt
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
 smoke-dev-tools (>= 4:4.10), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
 libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
Standards-Version: 3.9.3
Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
X-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokeqt.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary

Package: libsmokeqsci3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: QScintilla2 SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains QScintilla2 SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqt3support4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt3 Support SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt3 Support SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtcore4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Core SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Core SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtdbus4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt D-Bus SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt D-Bus SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtdeclarative4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Declarative SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Declarative SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtgui4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Gui SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Gui SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqthelp4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Help SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Help SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtnetwork4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Network SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Network SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtopengl4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt OpenGL SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt OpenGL SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtscript4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Script SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Script SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtsql4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Sql SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Sql SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtsvg4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Svg SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Svg SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqttest4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Test SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Test SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtuitools4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Ui Tools SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Ui Tools SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtwebkit4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt WebKit SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt WebKit SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtxml4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Xml SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Xml SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtxmlpatterns4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt XmlPatterns SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt XmlPatterns SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokephonon3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Phonon SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Phonon SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqimageblitz3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: QImageBlitz SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains QImageBlitz SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqt4-dbg
Section: debug
Depends: libsmokeqtcore4-3 (= ${binary:Version}), ${misc:Depends}
Recommends: libqt4-dbg
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Architecture: any
Priority: extra
Description: Qt SMOKE libraries debug symbols
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains debug symbols for Qt SMOKE libraries.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqt4-dev
Section: libdevel
Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>> 4:4.10)
Architecture: any
Description: Development files for Qt SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the development files for the SMOKE Qt modules.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

#Package: libsmokeqwt3
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Architecture: any
#Description: Qwt5 SMOKE libraries
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qwt5 SMOKE libraries.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]+)/src/smokeqt-([\d\.]+)\.tar\.bz2

## smokeqt 4.14.1

=== debian/changelog ===
smokeqt (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 18:04:21 +0200

smokeqt (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:47:08 +0200

smokeqt (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:41:25 +0200

smokeqt (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:59:37 +0200

smokeqt (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * add list-missing markers to build output

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:53:16 +0200

smokeqt (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:05 +0100

## smokeqt 4.14.2

=== qtcore/CMakeLists.txt ===

include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)
configure_file(qt-config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/qt-config.xml @ONLY)

# for QtGuess.txt
if (APPLE)
set(qt_test_threshold 15)
else (APPLE)
set(qt_test_threshold 10)
endif (APPLE)

include(QtGuess.txt)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
        -L "${CMAKE_BINARY_DIR}" -- ${CMAKE_CURRENT_SOURCE_DIR}/qtcore_includes.h
    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtcore  )

set(smokeqtcore_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
                ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

# kde4_add_library(smokeqtcore SHARED ${smokeqtcore_LIB_SRCS})
add_library(smokeqtcore SHARED ${smokeqtcore_LIB_SRCS})

target_link_libraries(smokeqtcore ${QT_QTCORE_LIBRARY} ${SMOKE_BASE_LIBRARY} )

set_target_properties(smokeqtcore PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqtcore LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION bin)

if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(smokeqtcore PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()

    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokeqtcore
        PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtcore_smoke.h DESTINATION include/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qt-config.xml DESTINATION share/smokegen)
install(FILES ${QTDEFINES_FILE} DESTINATION share/smokegen)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtcore.argnames.txt DESTINATION share/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtcore.typedefs.txt DESTINATION share/smoke)

=== debian/changelog ===
smokeqt (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * Backport to Trusty

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 14 Oct 2014 14:15:54 -0700

smokeqt (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:53:04 -0700

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,31 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.10), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
- libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
-Standards-Version: 3.9.3
+Uploaders: Torsten Marek <shlomme@debian.org>,
+           Sune Vuorela <sune@debian.org>,
+           David Palacio <dpalacio@orbitalibre.org>,
+           Michael Meskes <meskes@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               libphonon-dev,
+               libqimageblitz-dev,
+               libqscintilla2-dev,
+               libqt4-dev,
+               libqt4-opengl-dev,
+               libqtwebkit-dev,
+               pkg-config,
+               pkg-kde-tools (>= 0.6.8),
+               smoke-dev-tools (>= 4:4.11)
+Standards-Version: 3.9.5
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
-X-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokeqt.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/smokeqt.git
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
 X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary
 
 Package: libsmokeqsci3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: QScintilla2 SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -27,7 +39,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqt3support4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt3 Support SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -39,7 +51,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtcore4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Core SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -51,7 +63,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtdbus4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt D-Bus SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -63,7 +75,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtdeclarative4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Declarative SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -75,7 +87,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtgui4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Gui SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -87,7 +99,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqthelp4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Help SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -99,7 +111,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtnetwork4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Network SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -111,7 +123,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtopengl4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt OpenGL SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -123,7 +135,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtscript4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Script SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -135,7 +147,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtsql4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Sql SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -147,7 +159,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtsvg4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Svg SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -159,7 +171,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqttest4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Test SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -171,7 +183,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtuitools4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Ui Tools SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -183,7 +195,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtwebkit4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt WebKit SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -195,7 +207,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtxml4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Xml SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -207,7 +219,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtxmlpatterns4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt XmlPatterns SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -219,7 +231,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokephonon3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Phonon SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -231,7 +243,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqimageblitz3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: QImageBlitz SMOKE libraries
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -261,7 +273,7 @@
 
 Package: libsmokeqt4-dev
 Section: libdevel
-Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>> 4:4.10)
+Depends: smoke-dev-tools (>> 4:4.10), ${misc:Depends}, ${so:Depends}
 Architecture: any
 Description: Development files for Qt SMOKE libraries
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -271,16 +283,3 @@
  multiple languages such as Ruby, C# and PHP.
  .
  This is part of the SMOKE Qt module.
-
-#Package: libsmokeqwt3
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Architecture: any
-#Description: Qwt5 SMOKE libraries
-# SMOKE libraries are part of the bindings used for Qt and KDE. This package
-# contains Qwt5 SMOKE libraries.
-# .
-# SMOKE provides infrastructure which is used for creating bindings for
-# multiple languages such as Ruby, C# and PHP.
-# .
-# This is part of the SMOKE Qt module.
-

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]+)/src/smokeqt-([\d\.]+)\.tar\.xz
